WatchKit-Apps
=============

App tutorial Videos:  
###[Live coding!](https://www.youtube.com/playlist?list=PLVl4zOKOc8swguo5Fze1eZaHUtj3gUTkw)


Table of Contents
---

**Apps**

  1. [Counter](#1-counter)
  2. [Data Sharing](#2-data-sharing)
  3. [AppsCommunication](#3-apps-communication)
  4. [Time Color](#4-time-color)    
  5. [Shared Core Data](#5-shared-core-data)
  6. [UI Playgrounds](#6-ui-playgrounds)
  7. [Pages](#7-pages)
  8. [Table] (#8-table)

- [Tools](#tools)
- [Ideas!](#ideas)
- [Contact](#contact)


### 1. Counter 
---

![Counter](https://raw.githubusercontent.com/kostiakoval/WatchKit-Apps/master/images/AppsInWatck/Counter.gif)

**Counter** - count things in your watch.  
This project shows how to create basic project setup with UI and   
how to use NSUserDefaults to save data

### 2. Data Sharing  
---

![Data Sharing](https://raw.githubusercontent.com/kostiakoval/WatchKit-Apps/master/images/watch-DataSharing.jpg)
![Data Sharing](https://raw.githubusercontent.com/kostiakoval/WatchKit-Apps/master/images/iphone-DataSharing.png)

**Data Sharing** - Sharing data between iOS app and watch app.  
Table based UI fir both iOS and watch.  
Project also demonstrate how to share common code  

### 3. Apps Communication
---

![AppsCommunication](https://raw.githubusercontent.com/kostiakoval/WatchKit-Apps/master/images/AppsInWatck/Commication.gif)

**AppsCommunication** - Launching iOS app from watch

### 4. Time Color
---

![AppsCommunication](https://raw.githubusercontent.com/kostiakoval/WatchKit-Apps/master/images/AppsInWatck/Time-Color.gif)


**Time Color** - Display current time and a hex color for that time as a background


### 5. Shared Core Data
---

iPhone and WatchKit apps with shared CoreData database. Projects show how to setup core Data using Sure framework and share code and database between ios and watchKit apps.

**Know Issues:**  
`- Could not build Objective-C module ... ` 
Select the framework target that couldn't be build and build it. The project dependencies are not build in correct order :(


### 6. UI Playgrounds
---
![AppsCommunication](https://raw.githubusercontent.com/kostiakoval/WatchKit-Apps/master/images/AppsInWatck/ui-playgrounds.gif)  

Show different layout and UI elements.
  

### 7. Pages 
---
![Page](https://raw.githubusercontent.com/kostiakoval/WatchKit-Apps/master/images/AppsInWatck/Pages.gif)  

**Pages**  
Pases is one of navitgation type on WathcKit. It's the same as you have on our phone.  
You swipe left and right.  
In that project you setup pages both in Code and pure UI

### 8. Table
---
![Page](https://raw.githubusercontent.com/kostiakoval/WatchKit-Apps/master/images/AppsInWatck/9-table.gif)  

**Table** 
Table is one of the most popular and important building components for iOS and WatchKit.  
Learn how to make a simple table

  
# Tools

1. Apple Watch Frame - [Bezel](http://infinitapps.com/bezel/)
2. Gif Recorder - [RecordIt](http://recordit.co)
3. Gif Resizer - [ezgif.com/resize](http://ezgif.com/resize)
  
-- [Video Tutorial ](https://youtu.be/7UzinR_lK6U?list=PLVl4zOKOc8swguo5Fze1eZaHUtj3gUTkw)


# Ideas!  

Have an idea for the Watch App?  
Do you want it to be open-sourced here?  
Let's share knowledge, apps and happiness! Let's make this world a better place together!

**Contact me!**

# Contact

Konstantin Koval  
[konstantin.koval1@gmail.com](mailto:konstantin.koval1@gmail.com)  
[@KostiaKoval](https://twitter.com/KostiaKoval)